
#include "MacroPatternMatch.h"

#include "HGDALOGRLineString.h"

#include "ogr_geometry.h"

#include "HGDALOGRLinearRing.h"



#define CHECKPROTECT(x,y) FXIS_PAREN(IS_ ## x ## _ ## y ## _PROTECTED)

#define TYPECASTMETHOD(cname,mname,oname) \
  FXIIF( CHECKPROTECT(cname,mname) ) ( \
  (from_nonconst_to_nonconst<oname,cname ## _t>), \
  (from_nonconst_to_nonconst<cname,cname ## _t>) )

OGRLINESTRING_DEF_VIRT(OGRLinearRing)
OGRSIMPLECURVE_DEF_VIRT(OGRLinearRing)
OGRCURVE_DEF_VIRT(OGRLinearRing)
OGRGEOMETRY_DEF_VIRT(OGRLinearRing)
DELETABLE_DEF_VIRT(OGRLinearRing)
OGRLINEARRING_DEF_VIRT(OGRLinearRing)
OGRLINEARRING_DEF_NONVIRT(OGRLinearRing)
OGRLINEARRING_DEF_ACCESSOR(OGRLinearRing)

