
#ifdef __cplusplus
extern "C" {
#endif

#pragma once


#include "hgdalType.h"

#include "HGDALOGRCurve.h"

#include "HGDALOGRGeometry.h"

#include "STDDeletable.h"


#define OGRSIMPLECURVE_DECL_VIRT(Type) \



#define OGRSIMPLECURVE_DECL_NONVIRT(Type) \
void Type##_oGRSimpleCurve_getPoints ( Type##_p p, void* pabyX, int nXStride, void* pabyY, int nYStride, void* pabyZ, int nZStride );


#define OGRSIMPLECURVE_DECL_ACCESSOR(Type) \



#define OGRSIMPLECURVE_DEF_VIRT(Type) \



#define OGRSIMPLECURVE_DEF_NONVIRT(Type) \
void Type##_oGRSimpleCurve_getPoints ( Type##_p p, void* pabyX, int nXStride, void* pabyY, int nYStride, void* pabyZ, int nZStride ) {\
((TYPECASTMETHOD(Type, oGRSimpleCurve_getPoints, OGRSimpleCurve))(p))->getPoints(pabyX, nXStride, pabyY, nYStride, pabyZ, nZStride);\
}


#define OGRSIMPLECURVE_DEF_ACCESSOR(Type) \



OGRCURVE_DECL_VIRT(OGRSimpleCurve)
OGRGEOMETRY_DECL_VIRT(OGRSimpleCurve)
DELETABLE_DECL_VIRT(OGRSimpleCurve)
OGRSIMPLECURVE_DECL_VIRT(OGRSimpleCurve)
OGRSIMPLECURVE_DECL_NONVIRT(OGRSimpleCurve)
OGRSIMPLECURVE_DECL_ACCESSOR(OGRSimpleCurve)

#ifdef __cplusplus
}
#endif

