{-# LANGUAGE ForeignFunctionInterface, InterruptibleFFI #-}
module GDAL.GDALDataset.FFI where
import Data.Word
import Data.Int
import Foreign.C
import Foreign.Ptr
import GDAL.GDALDataset.RawType
import GDAL.GDALDataset.RawType
import GDAL.OGRLayer.RawType

foreign import ccall interruptible
               "HGDALGDALDataset.h GDALDataset_delete" c_gdaldataset_delete ::
               Ptr RawGDALDataset -> IO ()

foreign import ccall interruptible
               "HGDALGDALDataset.h GDALDataset_GetLayer" c_gdaldataset_getlayer ::
               Ptr RawGDALDataset -> CInt -> IO (Ptr RawOGRLayer)

foreign import ccall interruptible
               "HGDALGDALDataset.h GDALDataset_GetLayerCount"
               c_gdaldataset_getlayercount :: Ptr RawGDALDataset -> IO CInt
