{-# LANGUAGE EmptyDataDecls, ExistentialQuantification,
  FlexibleContexts, FlexibleInstances, ForeignFunctionInterface,
  MultiParamTypeClasses, ScopedTypeVariables, TypeFamilies,
  TypeSynonymInstances #-}
module GDAL.GDALMajorObject.Interface where
import Data.Word
import Data.Int
import Foreign.C
import Foreign.Ptr
import FFICXX.Runtime.Cast
import GDAL.GDALMajorObject.RawType
import STD.Deletable.Interface

class (IDeletable a) => IGDALMajorObject a where

upcastGDALMajorObject ::
                      forall a . (FPtr a, IGDALMajorObject a) => a -> GDALMajorObject
upcastGDALMajorObject h
  = let fh = get_fptr h
        fh2 :: Ptr RawGDALMajorObject = castPtr fh
      in cast_fptr_to_obj fh2

downcastGDALMajorObject ::
                        forall a . (FPtr a, IGDALMajorObject a) => GDALMajorObject -> a
downcastGDALMajorObject h
  = let fh = get_fptr h
        fh2 = castPtr fh
      in cast_fptr_to_obj fh2
