{-# LANGUAGE ForeignFunctionInterface, TypeFamilies,
  MultiParamTypeClasses, FlexibleInstances, TypeSynonymInstances,
  EmptyDataDecls, ExistentialQuantification, ScopedTypeVariables #-}
module GDAL.OGRCurve.RawType where
import Foreign.Ptr
import FFICXX.Runtime.Cast

data RawOGRCurve

newtype OGRCurve = OGRCurve (Ptr RawOGRCurve)
                     deriving (Eq, Ord, Show)

instance () => FPtr (OGRCurve) where
        type Raw OGRCurve = RawOGRCurve
        get_fptr (OGRCurve ptr) = ptr
        cast_fptr_to_obj = OGRCurve
