{-# LANGUAGE ForeignFunctionInterface, InterruptibleFFI #-}
module GDAL.OGRFeatureDefn.FFI where
import Data.Word
import Data.Int
import Foreign.C
import Foreign.Ptr
import GDAL.OGRFeatureDefn.RawType
import GDAL.OGRFeatureDefn.RawType
import GDAL.OGRFieldDefn.RawType

foreign import ccall interruptible
               "HGDALOGRFeatureDefn.h OGRFeatureDefn_delete"
               c_ogrfeaturedefn_delete :: Ptr RawOGRFeatureDefn -> IO ()

foreign import ccall interruptible
               "HGDALOGRFeatureDefn.h OGRFeatureDefn_GetFieldCount"
               c_ogrfeaturedefn_getfieldcount :: Ptr RawOGRFeatureDefn -> IO CInt

foreign import ccall interruptible
               "HGDALOGRFeatureDefn.h OGRFeatureDefn_GetFieldDefn"
               c_ogrfeaturedefn_getfielddefn ::
               Ptr RawOGRFeatureDefn -> CInt -> IO (Ptr RawOGRFieldDefn)

foreign import ccall interruptible
               "HGDALOGRFeatureDefn.h OGRFeatureDefn_GetGeomFieldCount"
               c_ogrfeaturedefn_getgeomfieldcount ::
               Ptr RawOGRFeatureDefn -> IO CInt
