{-# LANGUAGE EmptyDataDecls, FlexibleContexts, FlexibleInstances,
  ForeignFunctionInterface, IncoherentInstances,
  MultiParamTypeClasses, OverlappingInstances, TemplateHaskell,
  TypeFamilies, TypeSynonymInstances #-}
module GDAL.OGRFeatureDefn.Implementation where
import Data.Monoid
import Data.Word
import Data.Int
import Foreign.C
import Foreign.Ptr
import Language.Haskell.TH
import Language.Haskell.TH.Syntax
import System.IO.Unsafe
import FFICXX.Runtime.Cast
import FFICXX.Runtime.CodeGen.Cxx
import FFICXX.Runtime.TH
import GDAL.OGRFeatureDefn.RawType
import GDAL.OGRFeatureDefn.FFI
import GDAL.OGRFeatureDefn.Interface
import GDAL.OGRFeatureDefn.Cast
import GDAL.OGRFeatureDefn.RawType
import GDAL.OGRFeatureDefn.Cast
import GDAL.OGRFeatureDefn.Interface
import GDAL.OGRFieldDefn.RawType
import GDAL.OGRFieldDefn.Cast
import GDAL.OGRFieldDefn.Interface
import STD.Deletable.RawType
import STD.Deletable.Cast
import STD.Deletable.Interface

instance () => IOGRFeatureDefn (OGRFeatureDefn) where
        getFieldCount = xform0 c_ogrfeaturedefn_getfieldcount
        getFieldDefn = xform1 c_ogrfeaturedefn_getfielddefn
        getGeomFieldCount = xform0 c_ogrfeaturedefn_getgeomfieldcount

instance () => IDeletable (OGRFeatureDefn) where
        delete = xform0 c_ogrfeaturedefn_delete
