{-# LANGUAGE FlexibleInstances, FlexibleContexts, TypeFamilies,
  MultiParamTypeClasses, OverlappingInstances, IncoherentInstances
  #-}
module GDAL.OGRFieldDefn.Cast where
import Foreign.Ptr
import FFICXX.Runtime.Cast
import System.IO.Unsafe
import GDAL.OGRFieldDefn.RawType
import GDAL.OGRFieldDefn.Interface

instance (IOGRFieldDefn a, FPtr a) =>
         Castable (a) (Ptr RawOGRFieldDefn)
         where
        cast x f = f (castPtr (get_fptr x))
        uncast x f = f (cast_fptr_to_obj (castPtr x))

instance () => Castable (OGRFieldDefn) (Ptr RawOGRFieldDefn) where
        cast x f = f (castPtr (get_fptr x))
        uncast x f = f (cast_fptr_to_obj (castPtr x))
