{-# LANGUAGE ForeignFunctionInterface, TypeFamilies,
  MultiParamTypeClasses, FlexibleInstances, TypeSynonymInstances,
  EmptyDataDecls, ExistentialQuantification, ScopedTypeVariables #-}
module GDAL.OGRMultiPolygon.RawType where
import Foreign.Ptr
import FFICXX.Runtime.Cast

data RawOGRMultiPolygon

newtype OGRMultiPolygon = OGRMultiPolygon (Ptr RawOGRMultiPolygon)
                            deriving (Eq, Ord, Show)

instance () => FPtr (OGRMultiPolygon) where
        type Raw OGRMultiPolygon = RawOGRMultiPolygon
        get_fptr (OGRMultiPolygon ptr) = ptr
        cast_fptr_to_obj = OGRMultiPolygon
