{-# LANGUAGE EmptyDataDecls, ExistentialQuantification,
  FlexibleContexts, FlexibleInstances, ForeignFunctionInterface,
  MultiParamTypeClasses, ScopedTypeVariables, TypeFamilies,
  TypeSynonymInstances #-}
module GDAL.OGRPolygon.Interface where
import Data.Word
import Data.Int
import Foreign.C
import Foreign.Ptr
import FFICXX.Runtime.Cast
import GDAL.OGRPolygon.RawType
import GDAL.OGRCurvePolygon.Interface

class (IOGRCurvePolygon a) => IOGRPolygon a where

upcastOGRPolygon ::
                 forall a . (FPtr a, IOGRPolygon a) => a -> OGRPolygon
upcastOGRPolygon h
  = let fh = get_fptr h
        fh2 :: Ptr RawOGRPolygon = castPtr fh
      in cast_fptr_to_obj fh2

downcastOGRPolygon ::
                   forall a . (FPtr a, IOGRPolygon a) => OGRPolygon -> a
downcastOGRPolygon h
  = let fh = get_fptr h
        fh2 = castPtr fh
      in cast_fptr_to_obj fh2
