{-# LANGUAGE ForeignFunctionInterface, TypeFamilies,
  MultiParamTypeClasses, FlexibleInstances, TypeSynonymInstances,
  EmptyDataDecls, ExistentialQuantification, ScopedTypeVariables #-}
module GDAL.OGRSurface.RawType where
import Foreign.Ptr
import FFICXX.Runtime.Cast

data RawOGRSurface

newtype OGRSurface = OGRSurface (Ptr RawOGRSurface)
                       deriving (Eq, Ord, Show)

instance () => FPtr (OGRSurface) where
        type Raw OGRSurface = RawOGRSurface
        get_fptr (OGRSurface ptr) = ptr
        cast_fptr_to_obj = OGRSurface
