
#include "MacroPatternMatch.h"

#include "HGDALOGRPointIterator.h"

#include "HGDALOGRGeometry.h"

#include "ogr_geometry.h"

#include "HGDALOGRCurve.h"



#define CHECKPROTECT(x,y) FXIS_PAREN(IS_ ## x ## _ ## y ## _PROTECTED)

#define TYPECASTMETHOD(cname,mname,oname) \
  FXIIF( CHECKPROTECT(cname,mname) ) ( \
  (from_nonconst_to_nonconst<oname,cname ## _t>), \
  (from_nonconst_to_nonconst<cname,cname ## _t>) )

OGRGEOMETRY_DEF_VIRT(OGRCurve)
DELETABLE_DEF_VIRT(OGRCurve)
OGRCURVE_DEF_VIRT(OGRCurve)
OGRCURVE_DEF_NONVIRT(OGRCurve)
OGRCURVE_DEF_ACCESSOR(OGRCurve)

