
#include "MacroPatternMatch.h"

#include "HGDALOGRFieldDefn.h"

#include "STDDeletable.h"

#include "ogr_feature.h"

#include "HGDALOGRFeatureDefn.h"



#define CHECKPROTECT(x,y) FXIS_PAREN(IS_ ## x ## _ ## y ## _PROTECTED)

#define TYPECASTMETHOD(cname,mname,oname) \
  FXIIF( CHECKPROTECT(cname,mname) ) ( \
  (from_nonconst_to_nonconst<oname,cname ## _t>), \
  (from_nonconst_to_nonconst<cname,cname ## _t>) )

DELETABLE_DEF_VIRT(OGRFeatureDefn)
OGRFEATUREDEFN_DEF_VIRT(OGRFeatureDefn)
OGRFEATUREDEFN_DEF_NONVIRT(OGRFeatureDefn)
OGRFEATUREDEFN_DEF_ACCESSOR(OGRFeatureDefn)

