
#include "MacroPatternMatch.h"

#include "HGDALOGRGeometry.h"

#include "ogr_geometry.h"

#include "HGDALOGRGeometryCollection.h"



#define CHECKPROTECT(x,y) FXIS_PAREN(IS_ ## x ## _ ## y ## _PROTECTED)

#define TYPECASTMETHOD(cname,mname,oname) \
  FXIIF( CHECKPROTECT(cname,mname) ) ( \
  (from_nonconst_to_nonconst<oname,cname ## _t>), \
  (from_nonconst_to_nonconst<cname,cname ## _t>) )

OGRGEOMETRY_DEF_VIRT(OGRGeometryCollection)
DELETABLE_DEF_VIRT(OGRGeometryCollection)
OGRGEOMETRYCOLLECTION_DEF_VIRT(OGRGeometryCollection)
OGRGEOMETRYCOLLECTION_DEF_NONVIRT(OGRGeometryCollection)
OGRGEOMETRYCOLLECTION_DEF_ACCESSOR(OGRGeometryCollection)

