
#include "MacroPatternMatch.h"

#include "HGDALOGRCurve.h"

#include "ogr_geometry.h"

#include "HGDALOGRSimpleCurve.h"



#define CHECKPROTECT(x,y) FXIS_PAREN(IS_ ## x ## _ ## y ## _PROTECTED)

#define TYPECASTMETHOD(cname,mname,oname) \
  FXIIF( CHECKPROTECT(cname,mname) ) ( \
  (from_nonconst_to_nonconst<oname,cname ## _t>), \
  (from_nonconst_to_nonconst<cname,cname ## _t>) )

OGRCURVE_DEF_VIRT(OGRSimpleCurve)
OGRGEOMETRY_DEF_VIRT(OGRSimpleCurve)
DELETABLE_DEF_VIRT(OGRSimpleCurve)
OGRSIMPLECURVE_DEF_VIRT(OGRSimpleCurve)
OGRSIMPLECURVE_DEF_NONVIRT(OGRSimpleCurve)
OGRSIMPLECURVE_DEF_ACCESSOR(OGRSimpleCurve)

