{-# LANGUAGE FlexibleInstances, FlexibleContexts, TypeFamilies,
  MultiParamTypeClasses, OverlappingInstances, IncoherentInstances
  #-}
module GDAL.OGRGeometryCollection.Cast where
import Foreign.Ptr
import FFICXX.Runtime.Cast
import System.IO.Unsafe
import GDAL.OGRGeometryCollection.RawType
import GDAL.OGRGeometryCollection.Interface

instance (IOGRGeometryCollection a, FPtr a) =>
         Castable (a) (Ptr RawOGRGeometryCollection)
         where
        cast x f = f (castPtr (get_fptr x))
        uncast x f = f (cast_fptr_to_obj (castPtr x))

instance () =>
         Castable (OGRGeometryCollection) (Ptr RawOGRGeometryCollection)
         where
        cast x f = f (castPtr (get_fptr x))
        uncast x f = f (cast_fptr_to_obj (castPtr x))
