{-# LANGUAGE ForeignFunctionInterface, TypeFamilies,
  MultiParamTypeClasses, FlexibleInstances, TypeSynonymInstances,
  EmptyDataDecls, ExistentialQuantification, ScopedTypeVariables #-}
module GDAL.OGRPoint.RawType where
import Foreign.Ptr
import FFICXX.Runtime.Cast

data RawOGRPoint

newtype OGRPoint = OGRPoint (Ptr RawOGRPoint)
                     deriving (Eq, Ord, Show)

instance () => FPtr (OGRPoint) where
        type Raw OGRPoint = RawOGRPoint
        get_fptr (OGRPoint ptr) = ptr
        cast_fptr_to_obj = OGRPoint
