{-# LANGUAGE ForeignFunctionInterface, InterruptibleFFI #-}
module GDAL.OGRPointIterator.FFI where
import Data.Word
import Data.Int
import Foreign.C
import Foreign.Ptr
import GDAL.OGRPointIterator.RawType
import GDAL.OGRPointIterator.RawType
import GDAL.OGRPoint.RawType

foreign import ccall interruptible
               "HGDALOGRPointIterator.h OGRPointIterator_delete"
               c_ogrpointiterator_delete :: Ptr RawOGRPointIterator -> IO ()

foreign import ccall interruptible
               "HGDALOGRPointIterator.h OGRPointIterator_getNextPoint"
               c_ogrpointiterator_getnextpoint ::
               Ptr RawOGRPointIterator -> Ptr RawOGRPoint -> IO CBool
